#include "StdAfx.h"
#include "Way.h"

#if !defined( _SET_H_ )

#define _SET_H_

class CSet{

public:
	CSet();
	CSet(long NumOfElem);			//  Constructor
	CSet(const CSet &other);		//  Copy Construcotr
	~CSet();						//  Destructor

	CSet &operator=(const CSet &other);
	int operator==(const CSet &other);
	int operator!=(const CSet &other);
	void AddToSet(long Index);
	void AddPathToSet(const CWay &Way);
	void RemoveFromSet(long Index);
	int InSet(long Value) const;

private:
	char *Bytes;
	long NumberOfElements;
	long NumberOFBytes;
};
#endif  //  _SET_H_